package app

import (
	"gex/app/route/home"
	"gex/pkg/sec"
	"gex/pkg/sess"

	"gex/pkg/gen"
	"gex/pkg/gex"
)

func Init() {
	gen.GeneratePages("app")
}

func Middleware() {
	gex.AddMiddleware(sess.Middleware)
	gex.AddMiddleware(sec.Middleware)
}

func Routes() {
	type roles []string
	sec.Route("/{$}", roles{"Everyone"}, home.Index)
}
